Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers.jmx
Class MBeanData

    java.lang.Object
      org.jboss.console.plugins.helpers.jmx.MBeanData

All Implemented Interfaces:
  Comparable

public class MBeanData
extends Object
implements Comparable

An mbean ObjectNamd and MBeanInfo pair

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`MBeanData(javax.management.ObjectName objectName, javax.management.MBeanInfo metaData)` Creates a new instance of MBeanInfo

Method Summary
`int` | `compareTo(Object o)` Compares MBeanData based on the ObjectName domain name and canonical key properties
`boolean` | `equals(Object o)`
`String` | `getClassName()`
`javax.management.MBeanInfo` | `getMetaData()` Getter for property metaData.
`String` | `getName()`
`String` | `getNameProperties()`
`javax.management.ObjectName` | `getObjectName()` Getter for property objectName.
`void` | `setMetaData(javax.management.MBeanInfo metaData)` Setter for property metaData.
`void` | `setObjectName(javax.management.ObjectName objectName)` Setter for property objectName.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanData

    public MBeanData(javax.management.ObjectName objectName,
                     javax.management.MBeanInfo metaData)

  Creates a new instance of MBeanInfo

Method Detail

### getObjectName

    public javax.management.ObjectName getObjectName()

  Getter for property objectName.

  Returns:
    Value of property objectName.

### setObjectName

    public void setObjectName(javax.management.ObjectName objectName)

  Setter for property objectName.

  Parameters:
    `objectName` - New value of property objectName.

### getMetaData

    public javax.management.MBeanInfo getMetaData()

  Getter for property metaData.

  Returns:
    Value of property metaData.

### setMetaData

    public void setMetaData(javax.management.MBeanInfo metaData)

  Setter for property metaData.

  Parameters:
    `metaData` - New value of property metaData.

### getName

    public String getName()

  Returns:
    The ObjectName.toString()

### getNameProperties

    public String getNameProperties()

  Returns:
    The canonical key properties string

### getClassName

    public String getClassName()

  Returns:
    The MBeanInfo.getClassName() value

### compareTo

    public int compareTo(Object o)

  Compares MBeanData based on the ObjectName domain name and canonical key properties

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - MBeanData to compare against
  Returns:
    < 0 if this is less than o, > 0 if this is greater than o, 0 if equal.

### equals

    public boolean equals(Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.